Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ldi.server.common
Class QueryAttributes

    java.lang.Object
      |
      +--com.bea.ldi.server.common.QueryAttributes

public class QueryAttributes
extends java.lang.Object
implements java.io.Serializable

This class provides place for setting query construction and execution attributes. Currently there is only one supported attribute:

- LARGE_DATA - Type: `Boolean` - Default Value: `false`

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `LARGE_DATA` If this attribute is set to `true` the query will run in "large-data" mode

Constructor Summary
`QueryAttributes()` Creates new instance with the default values
`QueryAttributes(java.util.Map attributes)` Internal copying constructor.
`QueryAttributes(QueryAttributes queryAttributes)` Copying constructor.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Map` | `getAttributes()`
`void` | `putAttributes(java.util.Map attributes)` Ovewrites the attributes of this instance with the values of the valid query attributes specified in the map.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets the value of an attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LARGE_DATA

    public static final java.lang.String LARGE_DATA

  If this attribute is set to `true` the query will run in "large-data" mode

Constructor Detail

### QueryAttributes

    public QueryAttributes()

  Creates new instance with the default values

### QueryAttributes

    public QueryAttributes(QueryAttributes queryAttributes)

  Copying constructor. Allows default attributes to be overwritten by specified queryAttributes

  Parameters:
    `queryAttributes` - The query attributes to be used for this instance.

### QueryAttributes

    public QueryAttributes(java.util.Map attributes)

  Internal copying constructor. Allows default attributes to be overriden from specified attributes

  Parameters:
    `attributes` - a map containing the new attributes

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Sets the value of an attribute.

  Parameters:
    `name` - The attribute name
    `value` - The attribute value
  Throws:
    java.lang.IllegalArgumentException - if name or value is invalid.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Parameters:
    `name` - The attribute name
  Returns:
    the attribute value.

### putAttributes

    public void putAttributes(java.util.Map attributes)

  Ovewrites the attributes of this instance with the values of the valid query attributes specified in the map.

  Parameters:
    `attributes` - The map containing the attributes to be overwritten. If it is `null`, it is ignored.
  Throws:
    java.lang.IllegalArgumentException - if a name or value in the map is invalid.

### getAttributes

    public java.util.Map getAttributes()

  Returns:
    The query attributes as an unmodifiable map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation is available at
http://download.oracle.com/docs/cd/E13190_01/liquiddata/docs10/index.html